Bug 703152 - Review Request: ghc-rosezipper - Generic zipper implementation for Haskell
Review Request: ghc-rosezipper - Generic zipper implementation for Haskell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
Ready
:
Depends On:
Blocks: yi
  Show dependency treegraph
 
Reported: 2011-05-09 09:25 EDT by Narasimhan
Modified: 2012-08-05 17:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-05 17:21:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
shakthimaan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2011-05-09 09:25:38 EDT
This package is required for yi (a text editor).
Comment 3 Narasimhan 2012-07-15 10:25:31 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-rosezipper.spec

http://narasim.fedorapeople.org/package_reviews/ghc-rosezipper-0.2-2.fc16.src.rpm

rpmlint  -i ghc-rosezipper-0.2-2.fc16.src.rpm ghc-rosezipper-0.2-2.fc16.x86_64.rpm ghc-rosezipper-devel-0.2-2.fc16.x86_64.rpm ../ghc-rosezipper.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 5 Shakthi Kannan 2012-07-19 01:26:23 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[-]: MUST Package does not contain kernel modules.
[-]: MUST Package contains no static executables.
[-]: MUST Rpath absent or only used for internal libs.
[-]: MUST Package is not relocatable.
[-]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: ghc-rosezipper-0.2-2.fc18.i686.rpm :
     /usr/lib/ghc-7.4.1/rosezipper-0.2/libHSrosezipper-0.2-ghc7.4.1.so
[-]: MUST Static libraries in -static subpackage, if present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint ghc-rosezipper-0.2-2.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint ghc-rosezipper-devel-0.2-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint ghc-rosezipper-0.2-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/shaks/rpmbuild/fedora-reviews/703152/rosezipper-0.2.tar.gz :
  MD5SUM this package     : a3cdd1906f95f004454d230b1a847e8c
  MD5SUM upstream package : a3cdd1906f95f004454d230b1a847e8c

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:

[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.

Although ghc-containers gets pulled automatically, it is better to explicitly include it in BuildRequires since .cabal mentions it as a dependency.

Otherwise package looks good.

Generated by fedora-review 0.1.3
External plugins:
Comment 6 Narasimhan 2012-07-24 01:44:19 EDT
Hi,
Thanks for the review. I have included ghc-containers-devel in BR.

http://narasim.fedorapeople.org/package_reviews/ghc-rosezipper.spec

http://narasim.fedorapeople.org/package_reviews/ghc-rosezipper-0.2-3.fc16.src.rpm

rpmlint -i ghc-rosezipper-0.2-3.fc16.x86_64.rpm ghc-rosezipper-devel-0.2-3.fc16.x86_64.rpm ghc-rosezipper-0.2-3.fc16.src.rpm ../ghc-rosezipper.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4324912
Comment 7 Shakthi Kannan 2012-07-24 03:22:16 EDT
Package approved.
Comment 8 Narasimhan 2012-07-24 14:10:47 EDT
Thanks.

New Package SCM Request
=======================
Package Name: ghc-rosezipper
Short Description: Generic zipper implementation for Haskell
Owners: narasim
Branches: f16 f17
InitialCC: haskell-sig
Comment 9 Jon Ciesla 2012-07-24 14:18:31 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-07-27 01:39:38 EDT
ghc-rosezipper-0.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-rosezipper-0.2-3.fc16
Comment 11 Fedora Update System 2012-07-27 01:42:32 EDT
ghc-rosezipper-0.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-rosezipper-0.2-3.fc17
Comment 12 Fedora Update System 2012-07-27 21:18:33 EDT
ghc-rosezipper-0.2-3.fc16 has been pushed to the Fedora 16 testing repository.
Comment 13 Fedora Update System 2012-08-05 17:21:04 EDT
ghc-rosezipper-0.2-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-08-05 17:28:01 EDT
ghc-rosezipper-0.2-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.